import { jsx } from "react/jsx-runtime";
import { CloverIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Clover = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Clover", ...props, children: /* @__PURE__ */ jsx(CloverIcon, { weight: variant }) });
  }
);
Clover.displayName = "Clover";
Object.assign(Clover, { isGdsIcon: true });
export {
  Clover
};
